aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeah Neukirchen <leah@vuxu.org>2017-06-19 16:18:32 +0200
committerLeah Neukirchen <leah@vuxu.org>2017-06-19 16:18:32 +0200
commit59ced828e72879f6a1f738d66facfafb228fe6bb (patch)
treeb20ff1737669b58aae9526e68da82e817d37a42d
parent02383ec51c12edfcc18259380820961881f18a22 (diff)
downloadmblaze-59ced828e72879f6a1f738d66facfafb228fe6bb.tar.gz
contrib: add mmkdir
-rwxr-xr-xcontrib/mmkdir9
1 files changed, 9 insertions, 0 deletions
diff --git a/contrib/mmkdir b/contrib/mmkdir
new file mode 100755
index 0000000..26d01ff
--- /dev/null
+++ b/contrib/mmkdir
@@ -0,0 +1,9 @@
+#!/bin/sh
+# mmkdir DIRS... - create new maildirs
+
+r=0
+for dir; do
+ mkdir -p -m 0700 $dir/cur $dir/new $dir/tmp || r=1
+done
+
+exit $r